rep {base} | R Documentation

## Replicate Elements

### Description

`rep` replicates the values in `x` according to the values given in `times` and `length.out`.

If `times` consists of a single integer, the result consists of the values in `x` repeated this many times. If `times` is a vector of the same length as `x`, the result consists of `x[1]` repeated `times[1]` times, `x[2]` repeated `times[2]` times and so on.

`length.out` may be given in place of `times`, in which case `x` is repeated as many times as is necessary to create a vector of this length.

### Usage

    rep(x, times, length.out)

### See Also

`seq`, `sequence`.

### Examples

    rep(1:4,2)
    rep(1:4,c(2,2,2,2))